Bug 444120 - vnc segfault when pausing guest
vnc segfault when pausing guest
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk-vnc (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-25 03:31 EDT by Luke Macken
Modified: 2016-09-19 22:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:01:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2008-04-25 03:31:54 EDT
Description of problem:
Every now and then, virt-manager will segfault when pausing a guest.  I cannot
reproduce this every time, as it seems to be quite sporadic.

Version-Release number of selected component (if applicable):
virt-manager-0.5.4-3.fc9.x86_64
gtk-vnc-0.3.4-4.fc9.x86_64

Backtrace:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7f2813a6f6f0 (LWP 11067)]
0x00007f27ff7f44b6 in vnc_display_get_pixbuf (obj=<value optimized out>)
    at vncdisplay.c:2020
2020        pixbuf = gdk_pixbuf_new(GDK_COLORSPACE_RGB, FALSE, 8,

(gdb) bt
#0  0x00007f27ff7f44b6 in vnc_display_get_pixbuf (obj=<value optimized out>)
    at vncdisplay.c:2020
#1  0x00007f27ffa0025d in _wrap_vnc_display_get_pixbuf (self=0x14b2eb0)
    at vnc.c:240
#2  0x00000000006bf1d1 in PyEval_EvalFrameEx (f=0x1e15820, 
    throwflag=<value optimized out>) at Python/ceval.c:3548
#3  0x00000000006c0a7d in PyEval_EvalCodeEx (co=0x1468210, 
    globals=<value optimized out>, locals=<value optimized out>, 
    args=0x14a8568, argcount=3, kws=0x0, kwcount=0, defs=0x0, defcount=0, 
    closure=0x0) at Python/ceval.c:2831
#4  0x000000000065ca32 in function_call (func=0x14806e0, arg=0x14a8550, kw=0x0)
    at Objects/funcobject.c:517
#5  0x000000000063e173 in PyObject_Call (func=0x0, arg=0x0, kw=0x8)
    at Objects/abstract.c:1860
#6  0x00000000006453b0 in instancemethod_call (func=0x14806e0, arg=0x14a8550, 
    kw=0x0) at Objects/classobject.c:2497
#7  0x000000000063e173 in PyObject_Call (func=0x0, arg=0x0, kw=0x8)
    at Objects/abstract.c:1860
#8  0x00000000006b8fc1 in PyEval_CallObjectWithKeywords (func=0x14b3a00, 
    arg=0x1483cb0, kw=0x0) at Python/ceval.c:3433
#9  0x00007f280a6e3aba in pyg_closure_marshal (closure=0x1e2b940, 
    return_value=0x7fff1c690d60, n_param_values=2, param_values=0x261ca30, 
    invocation_hint=<value optimized out>, marshal_data=<value optimized out>)
    at pygtype.c:1129
#10 0x00007f280a48b6dd in IA__g_closure_invoke (closure=0x1e2b940, 
    return_value=0x7fff1c690d60, n_param_values=2, param_values=0x261ca30, 
    invocation_hint=0x7fff1c690c70) at gclosure.c:490
#11 0x00007f280a49f6c1 in signal_emit_unlocked_R (node=0x1196db0, detail=0, 
    instance=0x18322a0, emission_return=0x7fff1c690d60, 
    instance_and_params=0x261ca30) at gsignal.c:2440
#12 0x00007f280a6d92ea in pygobject_emit (self=<value optimized out>, 
    args=0x1483c68) at pygobject.c:1726
#13 0x00000000006bee7d in PyEval_EvalFrameEx (f=0x18ab700, 
    throwflag=<value optimized out>) at Python/ceval.c:3564
#14 0x00000000006c0a7d in PyEval_EvalCodeEx (co=0x13e25d0, 
    globals=<value optimized out>, locals=<value optimized out>, 
    args=0x18ab888, argcount=1, kws=0x1e52278, kwcount=0, defs=0x13e9e68, 
    defcount=1, closure=0x0) at Python/ceval.c:2831
#15 0x00000000006bf45c in PyEval_EvalFrameEx (f=0x1e520f0, 
    throwflag=<value optimized out>) at Python/ceval.c:3660
#16 0x00000000006bfee6 in PyEval_EvalFrameEx (f=0x1e0f8f0, 
    throwflag=<value optimized out>) at Python/ceval.c:3650
#17 0x00000000006bfee6 in PyEval_EvalFrameEx (f=0x21af250, 
    throwflag=<value optimized out>) at Python/ceval.c:3650
#18 0x00000000006c0a7d in PyEval_EvalCodeEx (co=0xff7558, 
    globals=<value optimized out>, locals=<value optimized out>, 
    args=0xff9b10, argcount=4, kws=0x0, kwcount=0, defs=0x0, defcount=0, 
    closure=0x0) at Python/ceval.c:2831
#19 0x000000000065ca32 in function_call (func=0x14a6ed8, arg=0xff9af8, kw=0x0)
    at Objects/funcobject.c:517
#20 0x000000000063e173 in PyObject_Call (func=0x0, arg=0x0, kw=0x8)
    at Objects/abstract.c:1860
#21 0x00000000006453b0 in instancemethod_call (func=0x14a6ed8, arg=0xff9af8, 
    kw=0x0) at Objects/classobject.c:2497
#22 0x000000000063e173 in PyObject_Call (func=0x0, arg=0x0, kw=0x8)
    at Objects/abstract.c:1860
#23 0x00000000006b8fc1 in PyEval_CallObjectWithKeywords (func=0x14b3cd0, 
    arg=0x14a8190, kw=0x0) at Python/ceval.c:3433
#24 0x00007f280a6e3aba in pyg_closure_marshal (closure=0x21b0ed0, 
    return_value=0x7fff1c691e70, n_param_values=3, param_values=0x1e1d290, 
    invocation_hint=<value optimized out>, marshal_data=<value optimized out>)
    at pygtype.c:1129
#25 0x00007f280a48b6dd in IA__g_closure_invoke (closure=0x21b0ed0, 
    return_value=0x7fff1c691e70, n_param_values=3, param_values=0x1e1d290, 
    invocation_hint=0x7fff1c691d80) at gclosure.c:490
#26 0x00007f280a49f6c1 in signal_emit_unlocked_R (node=0x13a6030, detail=0, 
    instance=0x18e9040, emission_return=0x7fff1c691e70, 
    instance_and_params=0x1e1d290) at gsignal.c:2440
#27 0x00007f280a6d92ea in pygobject_emit (self=<value optimized out>, 
    args=0x14a85a0) at pygobject.c:1726
#28 0x00000000006bee7d in PyEval_EvalFrameEx (f=0x1e1add0, 
    throwflag=<value optimized out>) at Python/ceval.c:3564
#29 0x00000000006c0a7d in PyEval_EvalCodeEx (co=0x1463e40, 
    globals=<value optimized out>, locals=<value optimized out>, 
    args=0x1483ec0, argcount=2, kws=0x0, kwcount=0, defs=0x0, defcount=0, 
    closure=0x0) at Python/ceval.c:2831
#30 0x000000000065ca32 in function_call (func=0x1480398, arg=0x1483ea8, kw=0x0)
    at Objects/funcobject.c:517
#31 0x000000000063e173 in PyObject_Call (func=0x0, arg=0x0, kw=0x8)
    at Objects/abstract.c:1860
#32 0x00000000006453b0 in instancemethod_call (func=0x1480398, arg=0x1483ea8, 
    kw=0x0) at Objects/classobject.c:2497
#33 0x000000000063e173 in PyObject_Call (func=0x0, arg=0x0, kw=0x8)
    at Objects/abstract.c:1860
#34 0x00000000006b8fc1 in PyEval_CallObjectWithKeywords (func=0x14b31e0, 
    arg=0x14ac590, kw=0x0) at Python/ceval.c:3433
#35 0x00007f280a6e3aba in pyg_closure_marshal (closure=0x1e30510, 
    return_value=0x0, n_param_values=1, param_values=0x7fff1c692810, 
    invocation_hint=<value optimized out>, marshal_data=<value optimized out>)
    at pygtype.c:1129
#36 0x00007f280a48b6dd in IA__g_closure_invoke (closure=0x1e30510, 
    return_value=0x0, n_param_values=1, param_values=0x7fff1c692810, 
    invocation_hint=0x7fff1c692710) at gclosure.c:490
#37 0x00007f280a49f6c1 in signal_emit_unlocked_R (node=0x18d4420, detail=0, 
    instance=0x18bbe60, emission_return=0x0, 
    instance_and_params=0x7fff1c692810) at gsignal.c:2440
#38 0x00007f280a4a0b9c in IA__g_signal_emit_valist (instance=0x18bbe60, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff1c692a70)
    at gsignal.c:2199
#39 0x00007f280a4a10e3 in IA__g_signal_emit (instance=0x0, signal_id=0, 
    detail=8) at gsignal.c:2243
#40 0x00007f280952d94c in button_toggled (widget=0x1888310, 
    toggle_tool_button=0x18bbe60) at gtktoggletoolbutton.c:291
#41 0x00007f280a48b6dd in IA__g_closure_invoke (closure=0x1e47a20, 
    return_value=0x0, n_param_values=1, param_values=0x7fff1c692dc0, 
    invocation_hint=0x7fff1c692cc0) at gclosure.c:490
#42 0x00007f280a49f6c1 in signal_emit_unlocked_R (node=0x14f25c0, detail=0, 
    instance=0x1888310, emission_return=0x0, 
    instance_and_params=0x7fff1c692dc0) at gsignal.c:2440
#43 0x00007f280a4a0b9c in IA__g_signal_emit_valist (instance=0x1888310, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff1c693020)
    at gsignal.c:2199
#44 0x00007f280a4a10e3 in IA__g_signal_emit (instance=0x0, signal_id=0, 
    detail=8) at gsignal.c:2243
#45 0x00007f280952ccee in IA__gtk_toggle_button_toggled (
    toggle_button=0x1888310) at gtktogglebutton.c:305
#46 0x00007f280952d08a in gtk_toggle_button_clicked (button=0x1888310)
    at gtktogglebutton.c:438
#47 0x00007f280a48b6dd in IA__g_closure_invoke (closure=0x156caa0, 
    return_value=0x0, n_param_values=1, param_values=0x7fff1c6933b0, 
    invocation_hint=0x7fff1c6932b0) at gclosure.c:490
#48 0x00007f280a49efd6 in signal_emit_unlocked_R (node=0x156cb10, detail=0, 
    instance=0x1888310, emission_return=0x0, 
    instance_and_params=0x7fff1c6933b0) at gsignal.c:2370
#49 0x00007f280a4a0b9c in IA__g_signal_emit_valist (instance=0x1888310, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff1c693610)
    at gsignal.c:2199
#50 0x00007f280a4a10e3 in IA__g_signal_emit (instance=0x0, signal_id=0, 
    detail=8) at gsignal.c:2243
#51 0x00007f280932fb33 in IA__gtk_button_clicked (button=0x1888310)
    at gtkbutton.c:889
#52 0x00007f280952d02b in gtk_toggle_button_released (button=0x1888310)
    at gtktogglebutton.c:425
#53 0x00007f280a48b6dd in IA__g_closure_invoke (closure=0x1560980, 
    return_value=0x0, n_param_values=1, param_values=0x7fff1c693990, 
    invocation_hint=0x7fff1c693890) at gclosure.c:490
#54 0x00007f280a49efd6 in signal_emit_unlocked_R (node=0x156ca40, detail=0, 
    instance=0x1888310, emission_return=0x0, 
    instance_and_params=0x7fff1c693990) at gsignal.c:2370
#55 0x00007f280a4a0b9c in IA__g_signal_emit_valist (instance=0x1888310, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff1c693bf0)
    at gsignal.c:2199
#56 0x00007f280a4a10e3 in IA__g_signal_emit (instance=0x0, signal_id=0, 
    detail=8) at gsignal.c:2243
#57 0x00007f280932fa9c in IA__gtk_button_released (button=0x1888310)
    at gtkbutton.c:881
#58 0x00007f2809330cd2 in gtk_button_button_release (widget=0x1888310, 
    event=0x190df20) at gtkbutton.c:1377
#59 0x00007f2809430f2a in _gtk_marshal_BOOLEAN__BOXED (closure=0x14eafa0, 
    return_value=0x7fff1c693f30, n_param_values=2, 
    param_values=0x7fff1c693ff0, invocation_hint=0x7fff1c693ef0, 
    marshal_data=0x7f2809330ca5) at gtkmarshalers.c:84
#60 0x00007f280a48b6dd in IA__g_closure_invoke (closure=0x14eafa0, 
    return_value=0x7fff1c693f30, n_param_values=2, 
    param_values=0x7fff1c693ff0, invocation_hint=0x7fff1c693ef0)
    at gclosure.c:490
#61 0x00007f280a49f392 in signal_emit_unlocked_R (node=0x14eb010, detail=0, 
    instance=0x1888310, emission_return=0x7fff1c6941f0, 
    instance_and_params=0x7fff1c693ff0) at gsignal.c:2478
#62 0x00007f280a4a0a1f in IA__g_signal_emit_valist (instance=0x1888310, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff1c694250)
    at gsignal.c:2209
#63 0x00007f280a4a10e3 in IA__g_signal_emit (instance=0x0, signal_id=0, 
    detail=8) at gsignal.c:2243
#64 0x00007f280959ddf5 in gtk_widget_event_internal (widget=0x1888310, 
    event=0x190df20) at gtkwidget.c:4678
#65 0x00007f280959d93d in IA__gtk_widget_event (widget=0x1888310, 
    event=0x190df20) at gtkwidget.c:4478
#66 0x00007f280942f4c6 in IA__gtk_propagate_event (widget=0x1888310, 
    event=0x190df20) at gtkmain.c:2336
#67 0x00007f280942e0fd in IA__gtk_main_do_event (event=0x190df20)
    at gtkmain.c:1556
#68 0x00007f280904ec29 in gdk_event_dispatch (source=0xf2d2b0, callback=0, 
    user_data=0x0) at gdkevents-x11.c:2351
#69 0x00007f2809dca49b in IA__g_main_context_dispatch (context=0xf2d330)
    at gmain.c:2009
    event=0x190df20) at gtkwidget.c:4478
#66 0x00007f280942f4c6 in IA__gtk_propagate_event (widget=0x1888310, 
    event=0x190df20) at gtkmain.c:2336
#67 0x00007f280942e0fd in IA__gtk_main_do_event (event=0x190df20)
    at gtkmain.c:1556
#68 0x00007f280904ec29 in gdk_event_dispatch (source=0xf2d2b0, callback=0, 
    user_data=0x0) at gdkevents-x11.c:2351
#69 0x00007f2809dca49b in IA__g_main_context_dispatch (context=0xf2d330)
    at gmain.c:2009
---Type <return> to continue, or q <return> to quit---
#70 0x00007f2809dcdc7d in g_main_context_iterate (context=0xf2d330, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2642
#71 0x00007f2809dce1ad in IA__g_main_loop_run (loop=0x182c350) at gmain.c:2850
#72 0x00007f280942d888 in IA__gtk_main () at gtkmain.c:1163
#73 0x00007f2809aaef20 in _wrap_gtk_main (self=<value optimized out>)
    at ./gtk.override:1186
#74 0x00000000006bf1d1 in PyEval_EvalFrameEx (f=0xc46f10, 
    throwflag=<value optimized out>) at Python/ceval.c:3548
#75 0x00000000006bfee6 in PyEval_EvalFrameEx (f=0xabdd10, 
    throwflag=<value optimized out>) at Python/ceval.c:3650
#76 0x00000000006c0a7d in PyEval_EvalCodeEx (co=0x7f2813a22558, 
    globals=<value optimized out>, locals=<value optimized out>, args=0x0, 
    argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, closure=0x0)
    at Python/ceval.c:2831
#77 0x00000000006c0cc2 in PyEval_EvalCode (co=0x0, globals=0x0, locals=0x8)
    at Python/ceval.c:494
#78 0x00000000006dc861 in run_mod (mod=<value optimized out>, 
    filename=<value optimized out>, globals=0xa725a0, locals=0xa725a0, 
    flags=<value optimized out>, arena=<value optimized out>)
    at Python/pythonrun.c:1271
#79 0x00000000006dc936 in PyRun_FileExFlags (fp=0xa4f010, 
    filename=0x7fff1c696991 "/usr/share/virt-manager/virt-manager.py", 
    start=257, globals=0xa725a0, locals=0xa725a0, closeit=1, 
    flags=0x7fff1c694df0) at Python/pythonrun.c:1257
#80 0x00000000006ddf1d in PyRun_SimpleFileExFlags (fp=0xa4f010, 
    filename=0x7fff1c696991 "/usr/share/virt-manager/virt-manager.py", 
    closeit=1, flags=0x7fff1c694df0) at Python/pythonrun.c:877
#81 0x00000000006e7bf1 in Py_Main (argc=2, argv=<value optimized out>)
    at Modules/main.c:523
#82 0x00007f2813a8f32a in __libc_start_main (main=0x400710 <main>, argc=3, 
    ubp_av=0x7fff1c694f18, init=<value optimized out>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, 
    stack_end=0x7fff1c694f08) at libc-start.c:220
#83 0x0000000000400649 in _start ()
Comment 1 Cole Robinson 2008-05-07 13:45:46 EDT
Changing component to gtk-vnc.
Comment 2 Bug Zapper 2008-05-14 06:08:16 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Tim Waugh 2008-06-05 05:03:34 EDT
I see this too, and I think it might be related to pausing the console while the
guest has a text-mode display.  Sending Ctrl-Alt-F7 and then Ctrl-Alt-F1, and
then hitting Pause seems to crash it fairly reliably for me.
Comment 4 James Laska 2008-10-23 13:06:29 EDT
Software versions tested:

virt-manager-0.6.0-2.fc10.x86_64
gtk-vnc-0.3.7-3.fc10.x86_64

Steps to reproduce:

1) Start a KVM x86_64 install using installation source http://download.fedora.redhat.com/pub/fedora/linux/development/x86_64/os
2) After vmlinuz+initrd.img are downloaded, and anaconda loader starts ... select "Virtual Machine" -> "Take Screenshot" in the virt-viewer window
3) Enter a filename of "/tmp/screenshot.png" and select "Save"

Actual results:

backtrace noted in comment#0

Expected results:

screenshot saved
Comment 5 Daniel Berrange 2009-03-24 17:13:28 EDT
I believe this should be fixed in the 0.3.8 build of GTK-VNC in Fedora 10/11. This has switched over to using Cairo for rendering instead of GtkGLExt which was causing numerous problems. I can't reproduce the old crashes I saw with 0.3.7 on the new 0.3.8 release.
Comment 6 Bug Zapper 2009-06-09 20:25:53 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 11:01:23 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.